For the complete documentation index, see llms.txt. This page is also available as Markdown.

Application Instance Task

Application instance task execution

Get all available task templates for application instance

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task template ID

namestringRead-onlyRequired

Task template name

descriptionstringRead-onlyRequired

Task template description

get/v3/applicationInstance/task/template

Get the last 100 tasks you have created

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

get/v3/applicationInstance/task

Create a new task batch for given application instance Ids, using the provided task template Id

post
Authorizations
PRIVATE-TOKENstringRequired
Body
taskTemplateIdstringRequired

Task template ID, as seen in GET /applicationInstance/task/template

applicationInstanceIdsstring[]Optional

Array of application instance IDs to create the tasks for

fleetIdstringOptional

If > 0, we gather all game server IDs for this fleet and add those to the gameServerIds property

regionIdstringOptional

If > 0, we gather all game server IDs for this region and add those to the gameServerIds property

executeAtinteger · integerOptional

A unix timestamp indicating the time at which to execute the task (to schedule tasks for future execution)

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task Batch ID

createdAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch was created

executeAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch started execution

finishedAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch was finished

numTasksinteger · integerRead-onlyRequired

The total number of tasks in this batch

numTasksOkinteger · integerRead-onlyRequired

The number of successfully executed tasks

numTasksFailedinteger · integerRead-onlyRequired

The number of failed tasks

numTasksCancelledinteger · integerRead-onlyRequired

The number of cancelled tasks

taskIdsinteger · integer[]Read-onlyRequired

All the task IDs in this batch

post/v3/applicationInstance/task

Get the status of a task

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
taskIdintegerRequired

The Id of the task

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

get/v3/applicationInstance/task/{taskId}

Pause the given task if it's not done yet. Or if the task is paused already, resume it.

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
taskIdintegerRequired

The Id of the task

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

put/v3/applicationInstance/task/{taskId}

Cancel the given task

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
taskIdintegerRequired

The Id of the task

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

delete/v3/applicationInstance/task/{taskId}

Get the last 100 task batches you have created

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task Batch ID

createdAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch was created

executeAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch started execution

finishedAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch was finished

numTasksinteger · integerRead-onlyRequired

The total number of tasks in this batch

numTasksOkinteger · integerRead-onlyRequired

The number of successfully executed tasks

numTasksFailedinteger · integerRead-onlyRequired

The number of failed tasks

numTasksCancelledinteger · integerRead-onlyRequired

The number of cancelled tasks

taskIdsinteger · integer[]Read-onlyRequired

All the task IDs in this batch

get/v3/applicationInstance/taskBatch

Get the status of a task batch

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
taskBatchIdintegerRequired

The Id of the task batch

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Task Batch ID

createdAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch was created

executeAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch started execution

finishedAtinteger · integerRead-onlyRequired

The unix timestamp at which this batch was finished

numTasksinteger · integerRead-onlyRequired

The total number of tasks in this batch

numTasksOkinteger · integerRead-onlyRequired

The number of successfully executed tasks

numTasksFailedinteger · integerRead-onlyRequired

The number of failed tasks

numTasksCancelledinteger · integerRead-onlyRequired

The number of cancelled tasks

taskIdsinteger · integer[]Read-onlyRequired

All the task IDs in this batch

get/v3/applicationInstance/taskBatch/{taskBatchId}

Last updated

Was this helpful?